declare type Volume = number;
declare type VolumeChangeEvent = {
    volume: Volume;
};
export declare type InstallWorkletVars = {
    context: AudioContext;
    stream: MediaStream;
    node: AudioWorkletNode;
};
export declare type AudioRecorderOptions = {
    deviceId?: string;
    workletPath?: string;
} & MediaRecorderOptions;
export declare type AudioEventListenerMap = {
    volumechange: VolumeChangeEvent;
};
export declare type AudioEventListener<T> = (event: T) => void;
export declare type AudioEventListeners = {
    [k in keyof AudioEventListenerMap]?: Array<AudioEventListener<AudioEventListenerMap[k]>>;
};
export {};
